<?php
/*
Plugin Name: Progression Theme Elements - Xion
Plugin URI: https://progressionstudios.com
Description: Theme Elements for Progression Studios Theme
Version: 1.3
Author: Progression Studios
Author URI: https://progressionstudios.com/
Author Email: contact@progressionstudios.com
License: GNU General Public License v3.0
Text Domain: progression-elements-xion
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit; // If this file is called directly, abort.


define( 'PROGRESSION_THEME_ELEMENTS_URL', plugins_url( '/', __FILE__ ) );
define( 'PROGRESSION_THEME_ELEMENTS_PATH', plugin_dir_path( __FILE__ ) );


// Translation Setup
add_action('plugins_loaded', 'progression_theme_elements_xion');
function progression_theme_elements_xion() {
	load_plugin_textdomain( 'progression-elements-xion', false, dirname( plugin_basename(__FILE__) ) . '/languages/' );
}

/**
* Enqueue or de-enqueue third party plugin scripts/styles
*/
function xion_elements_progression_theme_elements_styles_scripts() {
	//wp_register_script( 'boosted_elements_progression_masonry_js',  PROGRESSION_THEME_ELEMENTS_URL . 'js/masonry.js', '','1.0',true);
	wp_dequeue_style( 'boosted-elements-progression-prettyphoto-optional' ); //Removing a script
}
add_action( 'wp_enqueue_scripts', 'xion_elements_progression_theme_elements_styles_scripts', 100 );




/**
* Calling new Page Builder Elements
*/
require_once PROGRESSION_THEME_ELEMENTS_PATH.'inc/elementor-helper.php';

function progression_xion_trainer_elements_load_elements(){
	require_once PROGRESSION_THEME_ELEMENTS_PATH.'elements/post-element.php';
}
add_action('elementor/widgets/widgets_registered','progression_xion_trainer_elements_load_elements');


/**
 * Custom Social Icons
 */
require PROGRESSION_THEME_ELEMENTS_PATH.'inc/social-icons.php';


/**
 * Custom Metabox Fields
 */
require PROGRESSION_THEME_ELEMENTS_PATH.'inc/custom-meta.php';





/**
 * Registering Custom Post Type
 */
add_action('init', 'xion_progression_custom_post_type_init');
function xion_progression_custom_post_type_init() {	

	register_post_type(
		'portfolio_xion',
		array(
			'labels' => array(
				'name' => esc_html__( "Portfolio", "progression-elements-xion" ),
				'singular_name' => esc_html__( "Portfolio Post", "progression-elements-xion" )
			),
			'menu_icon' => 'dashicons-media-default',
			'public' => true,
			'has_archive' => true,
			'show_in_rest' => true,
			'rewrite' => array('slug' => 'title'),
			'supports' => array('title', 'editor', 'excerpt', 'thumbnail'),
			'can_export' => true,
		)
	);
	

	register_taxonomy(
		'portfolio-category', 'portfolio_xion', 
		array('hierarchical' => true, 
		'label' => esc_html__( "Portfolio Categories", "progression-elements-xion" ), 
		'query_var' => true, 
		'show_in_rest' => true,
		'rewrite' => array('slug' => 'portfolio-category'),
		)
	 );
	 
   

 	

}